/*
 * autotimeredit: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: vdrtools.h 1.8 2005/11/07 16:47:18 hflor Exp $
 */

#ifndef __VDRTOOLS_H
#define __VDRTOOLS_H

#include <vdr/keys.h>
#include <vdr/osdbase.h>
#include <vdr/osd.h>

#if VDRVERSNUM < 10318
class cReadLine {
private:
  size_t size;
  char *buffer;
public:
  cReadLine(void);
  ~cReadLine();
  char *Read(FILE *f);
  };
#endif

char *SkipQuote(char *s);

#ifdef ATE_Debug2
  #define ATE_Debug
#endif
#ifdef ATE_Debug3
  #define ATE_Debug
#endif

#ifdef ATE_Debug
char *KeyName(eKeys Key);
char *OSStateName(eOSState OSState);
#endif

#endif //__VDRTOOLS_H
